#
# spec file for package plasma-browser-integration
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define kf5_version 5.42.0
%bcond_with browser_extension
Name:           plasma-browser-integration
Version:        5.12.80git.20180502T081035~2c9d903
Release:        lp150.1.1
Summary:        Helper for the KDE Plasma Browser Integration
License:        GPL-3.0-or-later
Group:          Productivity/Networking/Web/Utilities
Url:            https://cgit.kde.org/plasma-browser-integration.git
Source0:        plasma-browser-integration-%{version}.tar.xz
BuildRequires:  extra-cmake-modules >= %{kf5_version}
BuildRequires:  cmake(KF5Activities) >= %{kf5_version}
BuildRequires:  cmake(KF5I18n) >= %{kf5_version}
BuildRequires:  cmake(KF5KIO) >= %{kf5_version}
BuildRequires:  cmake(KF5Notifications) >= %{kf5_version}
BuildRequires:  cmake(KF5Runner) >= %{kf5_version}
BuildRequires:  cmake(KF5WindowSystem) >= %{kf5_version}
BuildRequires:  cmake(Qt5Core) >= 5.9.0
BuildRequires:  cmake(Qt5DBus) >= 5.9.0
BuildRequires:  cmake(Qt5Gui) >= 5.9.0

%description
This package contains a helper binary necessary for the WebExtension to
work.

%package extension
Summary:        WebExtension for KDE Plamsa Browser Integration
Group:          Productivity/Networking/Web/Utilities
Requires:       %{name} = %{version}

%description extension
This package contains a WebExtension to integrate the browser better into
KDE Plasma.

%prep
%setup -q

%build
%if %{with browser_extension}
%cmake_kf5 -d build -- -DINSTALL_CHROME_MANIFEST=1
%else
%cmake_kf5 -d build -- -DINSTALL_CHROME_MANIFEST=0
%endif

%make_jobs

%install
%kf5_makeinstall -C build
if [ "%{_libdir}" != "%{_libexecdir}" ]; then
	# Move mozilla native messaging file to correct location
	mv %{buildroot}%{_libexecdir}/mozilla %{buildroot}%{_libdir}
fi

%files
%license COPYING-GPL3
%dir %{_libdir}/mozilla
%dir %{_sysconfdir}/chromium
%dir %{_sysconfdir}/opt/chrome
%{_kf5_bindir}/plasma-browser-integration-host
%{_kf5_servicesdir}/plasma-runner-browsertabs.desktop
%{_libdir}/mozilla/native-messaging-hosts
%{_libqt5_plugindir}/krunner_browsertabs.so
%{_sysconfdir}/chromium/native-messaging-hosts
%{_sysconfdir}/opt/chrome/native-messaging-hosts

%if %{with browser_extension}
%files extension
%license COPYING-GPL3
%dir %{_datadir}/chromium-browser
%dir %{_datadir}/chromium-browser/extensions
%dir %{_datadir}/google-chrome
%dir %{_datadir}/google-chrome/extensions
%{_datadir}/chromium-browser/extensions/cimiefiiaegbelhefglklhhakcgmhkai.json
%{_datadir}/google-chrome/extensions/cimiefiiaegbelhefglklhhakcgmhkai.json
%{_kf5_sharedir}/plasma-browser-integration
%endif

%changelog
* Wed May  2 2018 fabian@ritter-vogt.de
- Update to 5.12.80git.20180502T081035~2c9d903
  * New bugfix release
  * For more details please see:
  * https://cgit.kde.org/plasma-browser-integration.git/log/?id=2c9d903dff81873bf04300290ead0c0eeafbd028
- Too many changes to list here
* Fri Dec  8 2017 fabian@ritter-vogt.de
- Separate WebExtension into -extension subpackage
- Don't build it by default (enabled in KUE)
* Fri Jul 14 2017 fabian@ritter-vogt.de
- Move firefox file from /usr/lib into /usr/lib{,64}
* Fri Apr 28 2017 fabian@ritter-vogt.de
- Initial packaging
